<?php namespace Webinsane\ShopaholicProductCopyist;

use Lovata\Shopaholic\Controllers\Products;
use System\Classes\PluginBase;
use Event;

class Plugin extends PluginBase
{
    /** @var array Plugin dependencies */
    public $require = ['Lovata.Shopaholic'];

    public function registerComponents()
    {
    }

    public function registerSettings()
    {
    }

    public function boot()
    {
        Event::listen('lovata.backend.extend_list_toolbar', function($controller) {
		    if (!$controller instanceof Products) {
		        return;
		    }
            return $controller->makePartial('$/webinsane/shopaholicproductcopyist/partials/_copy_button.htm');
        }, 1);
        Products::extend(function ($controller) {
            $controller->implement[] =
                'Webinsane\ShopaholicProductCopyist\Behaviors\CopyProductBehavior';
        });
    }
}
